unit dbdemofrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, dx_scene, dx_vgcore, dx_vglayer, dx_vgdb, DB, DBTables;

type
  TfrmDxDB = class(TForm)
    dxScene1: TdxScene;
    Root1: TdxVisualObject;
    ObjectLayer1: TdxObjectLayer;
    Root2: TvxBackground;
    ToolBar1: TvxToolBar;
    DBNavigator1: TvxDBNavigator;
    DataSource1: TDataSource;
    Table1: TTable;
    Panel1: TvxPanel;
    DBImage1: TvxDBImage;
    SpeedButton1: TvxSpeedButton;
    DBLabel1: TvxDBLabel;
    DBTextBox1: TvxDBTextBox;
    DBTextBox2: TvxDBTextBox;
    Label2: TvxLabel;
    Label3: TvxLabel;
    Label4: TvxLabel;
    TrackBar1: TvxTrackBar;
    CheckBox1: TvxCheckBox;
    CheckBox2: TvxCheckBox;
    CheckBox3: TvxCheckBox;
    CheckBox4: TvxCheckBox;
    cornerList: TvxHorzListBox;
    Button1: TvxButton;
    OpenDialog2: TOpenDialog;
    procedure SpeedButton1Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure CheckBox1Change(Sender: TObject);
    procedure cornerListChange(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmDxDB: TfrmDxDB;

implementation

{$R *.dfm}

procedure TfrmDxDB.SpeedButton1Click(Sender: TObject);
begin
  OpenDialog2.Filter := DefaultFilterClass.GetFileTypes;
  if OpenDialog2.Execute then
  begin
    DBImage1.Bitmap.LoadFromFile(OpenDialog2.FileName);
  end;
end;

procedure TfrmDxDB.TrackBar1Change(Sender: TObject);
begin
  DBNavigator1.xRadius := TrackBar1.Value;
  DBNavigator1.yRadius := TrackBar1.Value;
end;

procedure TfrmDxDB.CheckBox1Change(Sender: TObject);
begin
  DBNavigator1.Corners := [];
  if CheckBox1.IsChecked then
    DBNavigator1.Corners := DBNavigator1.Corners + [vgCornerBottomRight];
  if CheckBox2.IsChecked then
    DBNavigator1.Corners := DBNavigator1.Corners + [vgCornerTopRight];
  if CheckBox3.IsChecked then
    DBNavigator1.Corners := DBNavigator1.Corners + [vgCornerBottomLeft];
  if CheckBox4.IsChecked then
    DBNavigator1.Corners := DBNavigator1.Corners + [vgCornerTopLeft];
end;

procedure TfrmDxDB.cornerListChange(Sender: TObject);
begin
  DBNavigator1.CornerType := TvxCornerType(cornerList.ItemIndex);
end;

procedure TfrmDxDB.FormCreate(Sender: TObject);
begin
  Table1.TableName := ExtractFilePath(ParamStr(0)) + 'clients.dbf';
  Table1.Active := true;
end;

end.
